EddytorDocs & API
Storages

Move objects between storage configurations

Copies all objects under the source path to the destination, then deletes from source. After moving, Delta tables at the source are deregistered and discovery is triggered at the destination. **Required scope:** `storage:write`

POST
/v1/storages/move

Authorization

BearerAuth
AuthorizationBearer <token>

Security scheme for OpenAPI endpoints. Validates both JWT tokens and API keys.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request body for moving objects between storage configurations.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/storages/move" \  -H "Content-Type: application/json" \  -d '{    "sourceConfigId": "c24408da-9cd2-460f-babd-34176a03e077",    "sourcePath": "string",    "destinationConfigId": "a67c7e7e-0ef0-4b5b-a8a0-f360eee5fc91",    "destinationPath": "string"  }'
{  "objectsMoved": 0,  "bytesTransferred": 0,  "tablesDeregistered": 0,  "discoveryTriggered": true,  "message": "string"}
Empty
Empty
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}